| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
NTuple::_MatrixImp< TYP > Class Template Reference

Concrete class discribing a matrix column in a N tuple. More...

`#include <GaudiKernel/NTupleItems.h>`

Inheritance diagram for NTuple::_MatrixImp< TYP >:
[legend]
Collaboration diagram for NTuple::_MatrixImp< TYP >:
[legend]

## Public Types
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...
Public Types inherited from NTuple::_DataImp< TYP >
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...
Public Types inherited from NTuple::_Data< TYP >
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...

## Public Member Functions
| _MatrixImp (INTuple *tup, const std::string &name, const std::type_info &typ, const std::string &index, long ncol, long nrow, TYP min, TYP max, TYP def)
| Standard Constructor. More...
| ~_MatrixImp () override=default
| Standard Destructor. More...
void | setDefault (const TYP val) override
| Compiler type ID. More...
const ItemRange & | range () const override
| Access the range if specified. More...
long | size () const override
| Size of entire object. More...
long | ndim () const override
| Dimension. More...
long | dim (long i) const override
| Access individual dimensions. More...
Public Member Functions inherited from NTuple::_DataImp< TYP >
| _DataImp (INTuple *tup, std::string name, const std::type_info &info, std::string index, long len, TYP low, TYP high, TYP def)
| Standard Constructor. More...
| ~_DataImp () override
| Standard destructor. More...
std::string | typeName () const override
| Get proper type name. More...
void | reset () override
| Reset to default. More...
long | filled () const override
| Number of items filled. More...
INTupleItem * | indexItem () override
| Pointer to index column (if present, 0 else) More...
const INTupleItem * | indexItem () const override
| Pointer to index column (if present, 0 else) (CONST) More...
const std::type_info & | typeID () const override
| Compiler type ID. More...
void | release () override
| Destruct object. More...
bool | hasIndex () const override
| Is the tuple have an index column? More...
const std::string & | index () const override
| Access the index _Column. More...
const std::string & | name () const override
| Access _Column name. More...
long | type () const override
| TYP information of the item. More...
void | setType (long t) override
| Set the properties of the _Column. More...
long | length () const override
| Access the buffer length. More...
const void * | buffer () const override
| Access data buffer (CONST) More...
virtual void * | buffer ()
| Access data buffer. More...
INTuple * | tuple () override
| Access to hosting ntuple. More...
Public Member Functions inherited from INTupleItem
virtual | ~INTupleItem ()=default
| destructor More...
Public Member Functions inherited from NTuple::_Matrix< TYP >
template<class T >
_Matrix< TYP > & | operator= (const _Matrix< T > &copy)
| Assignment operator. More...
TYP * | column (long i)
| Access to data by reference. More...
const TYP * | column (long i) const
| Access to data by reference (CONST) More...

## Additional Inherited Members
Static Public Member Functions inherited from NTuple::_Matrix< TYP >
static _Matrix * | create (INTuple *tup, const std::string &name, const std::type_info &info, const std::string &index, long ncol, long nrow, TYP min, TYP max, TYP def)
| Create instance. More...
Protected Types inherited from NTuple::_DataImp< TYP >
typedef const std::string & | CSTR
typedef const std::type_info & | CTYPE
Protected Attributes inherited from NTuple::_DataImp< TYP >
long | m_length
| Entire buffer length. More...
INTuple * | m_tuple
| Pointer to N tuple. More...
std::string | m_name
| _Column name More...
std::string | m_index
| Check that values are within a certain range while filling. More...
INTupleItem * | m_indexItem = nullptr
| Pointer to index item. More...
DataTypeInfo::Type | m_type
| _Column type More...
TYP | m_def
| Buffer with default value. More...
Range< TYP > | m_range
| Check that values are within a certain range while filling. More...
const std::type_info & | m_info
| Item type information. More...
Protected Attributes inherited from NTuple::_Data< TYP >
TYP * | m_buffer = nullptr
| Pointer to data buffer. More...
Protected Attributes inherited from NTuple::_Matrix< TYP >
long | m_rows
| Number of rows per column. More...

## Detailed Description

### template<class TYP>
class NTuple::_MatrixImp< TYP >

Concrete class discribing a matrix column in a N tuple.

Definition at line 34 of file NTupleItems.h.

## Member Typedef Documentation

template<class TYP>

typedef Range<TYP> NTuple::_MatrixImp< TYP >::ItemRange

Set type definition to make life more easy easy.

Definition at line 205 of file NTupleItems.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::_MatrixImp< TYP >::_MatrixImp | ( | INTuple * | tup,
|  | const std::string & | name,
|  | const std::type_info & | typ,
|  | const std::string & | index,
|  | long | ncol,
|  | long | nrow,
|  | TYP | min,
|  | TYP | max,
|  | TYP | def
| ) |  |
| inline

Standard Constructor.

Definition at line 207 of file NTupleItems.h.

209 : _DataImp<TYP>(tup, name, typ, index, nrow*ncol, min, max, def) {
210 this->m_rows = nrow;
211 }
NTuple::_DataImp::index
const std::string & index() const override
Access the index _Column.
Definition: NTupleItems.h:123
NTuple::_DataImp::name
const std::string & name() const override
Access _Column name.
Definition: NTupleItems.h:125
std::min
T min(T...args)
std::max
T max(T...args)
NTuple::_Matrix::m_rows
long m_rows
Number of rows per column.
Definition: NTuple.h:189
template<class TYP>

NTuple::_MatrixImp< TYP >::~_MatrixImp | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

template<class TYP>

long NTuple::_MatrixImp< TYP >::dim | ( | long | i | ) | const
| inline override virtual

Access individual dimensions.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 225 of file NTupleItems.h.

225 {
226 return (this->hasIndex()) ?
227 ((i==0) ?
228 this->m_rows : this->m_length/this->m_rows) : ((i==1) ? this->m_length/this->m_rows : this->m_rows);
229 }
NTuple::_DataImp::hasIndex
bool hasIndex() const override
Is the tuple have an index column?
Definition: NTupleItems.h:121
NTuple::_DataImp::m_length
long m_length
Entire buffer length.
Definition: NTupleItems.h:45
NTuple::_Matrix::m_rows
long m_rows
Number of rows per column.
Definition: NTuple.h:189
template<class TYP>

long NTuple::_MatrixImp< TYP >::ndim | ( |  | ) | const
| inline override virtual

Dimension.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 223 of file NTupleItems.h.

223 { return 2; }
template<class TYP>

const ItemRange& NTuple::_MatrixImp< TYP >::range | ( |  | ) | const
| inline override virtual

Access the range if specified.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 219 of file NTupleItems.h.

219 { return this->m_range; }
NTuple::_DataImp::m_range
Range< TYP > m_range
Check that values are within a certain range while filling.
Definition: NTupleItems.h:59
template<class TYP>

void NTuple::_MatrixImp< TYP >::setDefault | ( | const TYP | val | ) |
| inline override virtual

Compiler type ID.

Set default value

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 217 of file NTupleItems.h.

217 { this->m_def = val; }
NTuple::_DataImp::m_def
TYP m_def
Buffer with default value.
Definition: NTupleItems.h:57
template<class TYP>

long NTuple::_MatrixImp< TYP >::size | ( |  | ) | const
| inline override virtual

Size of entire object.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 221 of file NTupleItems.h.

221 { return this->m_length*sizeof(TYP); }
NTuple::_DataImp::m_length
long m_length
Entire buffer length.
Definition: NTupleItems.h:45

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTupleItems.h